=== debian/control ===
Source: ros-indigo-h4r-thermapp-camera
Section: misc
Priority: extra
Maintainer: Christian Holl <cyborgx1@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libusb-1.0-0-dev, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-roscpp, ros-indigo-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-h4r-thermapp-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-1.0-0, ros-indigo-cv-bridge, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-roscpp, ros-indigo-sensor-msgs
Description: The thermapp_camera package provides a library and a node for the Opgal® ThermApp® Android Thermal Camera
